Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226053 - oct2spec: FTBFS in Fedora rawhide/f39
Summary: oct2spec: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: oct2spec
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:47 UTC by Fedora Release Engineering
Modified: 2023-09-15 18:53 UTC (History)
1 user (show)

Fixed In Version: oct2spec-1.1-15.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 18:53:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:47 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:47 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:47:38 UTC
oct2spec failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103638496


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix oct2spec at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
oct2spec will be orphaned. Before branching of Fedora 40,
oct2spec will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:47:44 UTC
Created attachment 1978563 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 18:47:48 UTC
Created attachment 1978564 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:47:52 UTC
Created attachment 1978565 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:59:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2023-09-05 00:11:39 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Fedora Update System 2023-09-07 16:17:28 UTC
FEDORA-2023-dcf177a30d has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dcf177a30d

Comment 7 Fedora Admin user for bugzilla script actions 2023-09-08 00:12:15 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2023-09-08 01:37:14 UTC
FEDORA-2023-dcf177a30d has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-dcf177a30d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dcf177a30d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Orion Poplawski 2023-09-08 04:55:43 UTC
José - thank you very much for taking this on!

Comment 10 José Matos 2023-09-08 11:06:45 UTC
(In reply to Orion Poplawski from comment #9)
> José - thank you very much for taking this on!

You are welcome. :-)

Comment 11 Fedora Update System 2023-09-15 18:53:50 UTC
FEDORA-2023-dcf177a30d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.